#Cata Plot event, the party finds themselves in a room full of Latruin's Veil
from eventAPI import getTag, setTag, giveItems, optionInput
from APIUtils import isclearall, showMessage

CataFlag1 = 0

def fireEvent(e):
    global CataFlag1
    CataFlag1 = getTag(e, "CataFlag1")
    if (CataFlag1 == 1):
        return 1
    showMessage(e,
        ["As you enter this room, The smell of rot becomes almost unbearable.",
	 "You hear curious scratching noises, and the air becomes chilled.",
         "As uncertainty begins to creep into your mind, you ready yourself for battle"],
        optionInput)
    CataFlag1 = 1
    setTag(e, "CataFlag1", CataFlag1)
    return 0
